using WmsMobileServe.Annotation;
using WmsMobileServe.DataBase.Base.Po;

namespace WmsMobileServe.DataBase.Base.Dao;

/// <summary>
/// 入库单操作
/// </summary>
[Component]
public class TRKWareNOticeTabDao(DataBaseClient client)
{


    public List<TRKWareNoticeTab>? SelectWithOrderIdAndGoodsId(string? orderId, string? goodsId)
    {
        try
        {
            var sqlFuc = client.Instance().Queryable<TRKWareNoticeTab>()
                .Where(w => w.PurchaseId == orderId && w.GoodsId == goodsId)
                .OrderBy(o => o.PoLineId);
            return sqlFuc.ToList();
        }
        catch (Exception ex)
        {
            _ = ex;
            return default;

        }
    }




}
